%define name    ksquirrel	
%define version	0.6.3
%define release	%mkrel 1


Name:		%name
Summary:	KSquirrel - image viewer for KDE
Version:	%version
Release:	%release
License:	GPL
Group:	        Graphical desktop/KDE	

Source0:	http://kent.dl.sourceforge.net/sourceforge/ksquirrel/%name-%version.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://ksquirrel.sourceforge.net/
Requires:	kdebase >= 3.0
Requires(pre):  ksquirrel-libs
BuildRequires:	kdebase-devel
BuildRequires:  libmesaglu-devel
BuildRequires:  ksquirrel-libs-devel = %version

%description
KSquirrel is a fast and convenient image viewer for KDE. 
Projecting this program, I have tried to avoid system mistakes 
which have been admitted in other similar viewers, and to make 
rather flexible program for convenient and fast viewing images.

%prep
%setup -q



%build
#make -f admin/Makefile.common
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure  --disable-rpath \
	    --disable-mmx

make

%install
rm -rf %{buildroot}
%makeinstall PACKAGE=%{name}
%{find_lang} %name

# Menu
mkdir -p %{buildroot}/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/ksquirrel.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/ksquirrel-small.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}-small

%post
%{update_menus}
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif


%postun
%{clean_menus}
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-small

%{_menudir}/%{name}
%{_menudir}/ksquirrel-small

%{_datadir}/applnk/Graphics/ksquirrel.desktop
%{_datadir}/applnk/Graphics/ksquirrel-small.desktop

%{_datadir}/apps/ksquirrel/cursors/*.png
%{_datadir}/apps/%{name}/images/actions/*.png
%{_datadir}/apps/%{name}/images/anime.png
%{_datadir}/apps/%{name}/images/*.png
%{_datadir}/apps/%{name}/images/imageedit/*.png
%{_datadir}/apps/%{name}/images/listbox/image_win.png
%{_datadir}/apps/%{name}/images/marks/*.png
%{_datadir}/apps/%{name}/images/menu/*.png
%{_datadir}/apps/%{name}/images/thumbs/*.png
%{_datadir}/apps/%{name}/images/imageedit/squirrels/*.png
%{_datadir}/apps/%{name}/images/like/*.png
%{_datadir}/apps/%{name}/images/cache/*.png

%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%{_mandir}/man1/ksquirrel-small.1.bz2
%{_mandir}/man1/ksquirrel.1.bz2

%dir %{_datadir}/doc/HTML/ru/ksquirrel
%doc %_docdir/HTML/ru/ksquirrel/


%changelog
* Thu Aug 10 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/10/06 15:06:00 (55402)
- New release 0.6.3

* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/11/06 08:06:17 (38734)
- Fix File list

* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/11/06 07:54:04 (38733)
- Increase release

* Thu Jul 06 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/06/06 19:45:39 (38449)
- Fix Menu

* Tue Jul 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/04/06 16:57:05 (38372)
- Increase release
- Rebuild for new menu && extensions
- Use Macro for icons and mimetypes
- Fix BuildRequires (libmesaglu-devel)


* Tue Jul 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/04/06 16:44:31 (38368)
import ksquirrel-0.6.2-1mdk

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-1mdk
- New release 0.6.2
- Drop Patch 0, 1 : Merged Upstream

* Fri Dec 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-3mdk
- ooops i forgot ksquirrel-libs-devel as buildrequires

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix Patch 1

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- Fix File list
- Add Requires: now ksquirrel-libs MUST be installed before

* Sat Dec 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- New release 0.6.0
- Fix File list

* Fri Nov 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.pre9.1mdk
- pre 9

* Thu Nov 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.pre8.3mdk
- Fix Requires => ksquirrel-libs
- Fix File section

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.pre8.2mdk
- BuildRequires Fix

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-pre8-1mdk
- New release 0.6.0-pre8

* Tue Sep 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre7.1mdk
- 0.6.0pre7  ( bug fixes )

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre6.1mdk
- 0.6.0pre6
- Add Patch 0 : Fix Build  thanks to Phh for the lesson :)

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- First Mandriva package aka "comment ai-je pu ne pas voir ce logiciel :)"

